org.apache.xmlgraphics.ps

## Interface PSCommandMap

- All Known Implementing Classes:
    PSGenerator

      public interface PSCommandMap

  Interface to map standard PostScript commands to other commands or macros, for example shorthands for compact PostScript code.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `mapCommand(java.lang.String command)` Maps a standard PostScript command (like "setlinejoin" or "setrgbcolor") to a macro.

- - ### Method Detail

    - #### mapCommand

          java.lang.String mapCommand(java.lang.String command)

      Maps a standard PostScript command (like "setlinejoin" or "setrgbcolor") to a macro. If no mapping is available, the command itself is returned again.
      Parameters:
        `command` - the command
      Returns:
        the mapped command (or the "command" parameter if no mapping is available)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.